pro set_initial, junk, wt

; Paul Withers, 2001.08.03
; Open University, Britain

; Called by:				recon_traj.pro, model_atm.pro
; Calls:				get_altlatlon
; Uses common blocks:			declare_array
; Reads from:				N/A
; Writes to:				N/A
; Options:				N/A
; Purpose:				Put the initial conditions into the 
;					first element of the
; 					appropriate arrays

common declare_arrays

forward_function get_altlatlon

x_array(0) = junk(0)
y_array(0) = junk(1)
z_array(0) = junk(2)
vx_array(0) = junk(3)
vy_array(0) = junk(4)
vz_array(0) = junk(5)

junk = get_altlatlon(x_array(0),y_array(0),z_array(0),wt)
height_array(0) = junk(0)
lat_array(0) = junk(1)
lon_array(0) = junk(2)

return
end
